summaryrefslogtreecommitdiff
path: root/source4/script/tests
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-07-14 03:13:04 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:23:04 -0500
commitf027e4d22476601b67fd89deeef3d26ac1544f82 (patch)
treedbe395a41dd6a8fc2b800bd4f1b41d912fc49c8b /source4/script/tests
parent2d0468ac9a6dc07ac3efee4160bba285d92b890b (diff)
downloadsamba-f027e4d22476601b67fd89deeef3d26ac1544f82.tar.gz
samba-f027e4d22476601b67fd89deeef3d26ac1544f82.tar.bz2
samba-f027e4d22476601b67fd89deeef3d26ac1544f82.zip
r8446: if provisioning fails then don't try to run the test suite!
(This used to be commit 7c1bc27254ea58b63c66ce1dbc9f7630c0bedbad)
Diffstat (limited to 'source4/script/tests')
-rwxr-xr-xsource4/script/tests/selftest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index 77a97638b9..ca35ae78a2 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -95,7 +95,7 @@ cat >$CONFFILE<<EOF
EOF
./setup/provision $CONFIGURATION --quiet --domain $DOMAIN --realm $REALM \
- --adminpass $PASSWORD --root=$ROOT
+ --adminpass $PASSWORD --root=$ROOT || exit 1
if [ x"$RUN_FROM_BUILD_FARM" = x"yes" ];then
CONFIGURATION="$CONFIGURATION --option=\"torture:progress=no\""